Search documentation of wx

# View Source wxSpinEvent (wx v2.4.2)

Functions for wxSpinEvent class

This event class is used for the events generated by `wxSpinButton` and `wxSpinCtrl`.

See: `wxSpinButton`, and, `wxSpinCtrl`

This class is derived (and can use functions) from: `wxNotifyEvent` `wxCommandEvent` `wxEvent`

wxWidgets docs: wxSpinEvent

## Events

Use `wxEvtHandler:connect/3` with `wxSpinEventType` to subscribe to events of this type.

# Summary

## Types

wxSpin()
wxSpinEvent()
wxSpinEventType()

## Functions

getPosition(This)

Retrieve the current spin button or control value.

setPosition(This, Pos)

Set the value associated with the event.

# Types

Link to this type

# wxSpin()

View Source

    -type wxSpin() :: #wxSpin{type :: wxSpinEvent:wxSpinEventType(), commandInt :: integer()}.

Link to this type

# wxSpinEvent()

View Source

    -type wxSpinEvent() :: wx:wx_object().

Link to this type

# wxSpinEventType()

View Source

    -type wxSpinEventType() :: command_spinctrl_updated | spin_up | spin_down | spin.

# Functions

Link to this function

# getPosition(This)

View Source

    -spec getPosition(This) -> integer() when This :: wxSpinEvent().

Retrieve the current spin button or control value.

Link to this function

# setPosition(This, Pos)

View Source

    -spec setPosition(This, Pos) -> ok when This :: wxSpinEvent(), Pos :: integer().

Set the value associated with the event.